Bug 1160643 (CVE-2014-8595, xsa110) - CVE-2014-8595 kernel: xen: Missing privilege level checks in x86 emulation of far branches (xsa110)
Summary: CVE-2014-8595 kernel: xen: Missing privilege level checks in x86 emulation of...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-8595, xsa110
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1165204
Blocks: 1160648
TreeView+ depends on / blocked
 
Reported: 2014-11-05 10:11 UTC by Petr Matousek
Modified: 2019-09-29 13:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-05 10:14:48 UTC


Attachments (Terms of Use)

Description Petr Matousek 2014-11-05 10:11:49 UTC
The emulation of far branch instructions (CALL, JMP, and RETF in Intel
assembly syntax, LCALL, LJMP, and LRET in AT&T assembly syntax)
incompletely performs privilege checks.

Malicious HVM guest user mode code may be able to elevate its
privileges to guest supervisor mode, or to crash the guest.

Acknowledgements:

Red Hat would like to thank the Xen for reporting this issue.

Comment 3 Petr Matousek 2014-11-05 10:14:48 UTC
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

Comment 4 Vincent Danen 2014-11-18 14:44:42 UTC
External References:

http://xenbits.xen.org/xsa/advisory-110.html

Comment 5 Vincent Danen 2014-11-18 14:45:41 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1165204]


Note You need to log in before you can comment on or make changes to this bug.